unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    chkMax: TCheckBox;
    chkMin: TCheckBox;
    chkSys: TCheckBox;
    chkHelp: TCheckBox;
    cmbStyle: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure chkChange(Sender: TObject);
    procedure cmbStyleChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1}

procedure TForm1.chkChange(Sender: TObject);
var newSet : TBorderIcons;
begin
  newSet := [];
  if chkMax.Checked then
    newSet := newSet + [biMaximize];
  if chkMin.Checked then
    newSet := newSet + [biMinimize];
  if chkSys.Checked then
    newSet := newSet + [biSystemMenu];
  if chkHelp.Checked then
    newSet := newSet + [biHelp];

  Form1.BorderIcons:= newSet;

  {trick to force an update of the border icons}
  Form1.WindowState:= wsMinimized;
  Form1.WindowState:= wsNormal;
end;

procedure TForm1.cmbStyleChange(Sender: TObject);
begin
  Form1.BorderStyle:= TFormBorderStyle(cmbStyle.ItemIndex);
end;

end.

